KDE 4.9 PyKDE API Reference

- KDE's Python API

# ConfigLoader Class Reference

`from PyKDE4.plasma import *`

Inherits: KConfigSkeleton → KCoreConfigSkeleton → QObject
Namespace: Plasma

## Detailed Description

## Methods

| __init__ (self, QString configFile, QIODevice xml, QObject parent=0)
| __init__ (self, KSharedPtr<KSharedConfig> config, QIODevice xml, QObject parent=0)
| __init__ (self, KConfigGroup config, QIODevice xml, QObject parent=0)
KConfigSkeletonItem | findItem (self, QString group, QString key)
KConfigSkeletonItem | findItemByName (self, QString name)
QStringList | groupList (self)
bool | hasGroup (self, QString group)
QVariant | property (self, QString name)
| usrWriteConfig (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | configFile,
|  | QIODevice | xml,
|  | QObject | parent=0
| ) |  |  |

Creates a KConfigSkeleton populated using the definition found in the XML data passed in.

Parameters:

  | configFile | path to the configuration file to use
  | xml | the xml data; must be valid KConfigXT data
  | parent | optional QObject parent

__init__ | ( | self, |
|  | KSharedPtr<KSharedConfig> | config,
|  | QIODevice | xml,
|  | QObject | parent=0
| ) |  |  |

Creates a KConfigSkeleton populated using the definition found in the XML data passed in.

Parameters:

  | config | the group to use as the root for configuration items
  | xml | the xml data; must be valid KConfigXT data
  | parent | optional QObject parent

__init__ | ( | self, |
|  | KConfigGroup | config,
|  | QIODevice | xml,
|  | QObject | parent=0
| ) |  |  |

Creates a KConfigSkeleton populated using the definition found in the XML data passed in.

Parameters:

  | config | the group to use as the root for configuration items
  | xml | the xml data; must be valid KConfigXT data
  | parent | optional QObject parent

KConfigSkeletonItem findItem | ( | self, |
|  | QString | group,
|  | QString | key
| ) |  |  |

Finds the item for the given group and key.

Parameters:

  | group | the group in the config file to look in
  | key | the configuration key to find

Returns:
  the associated KConfigSkeletonItem, or 0 if none

KConfigSkeletonItem findItemByName | ( | self, |
|  | QString | name
| ) |  |  |

Finds an item by its name

QStringList groupList | ( |  | self ) |

Returns:
  the list of groups defined by the XML

bool hasGroup | ( | self, |
|  | QString | group
| ) |  |  |

Check to see if a group exists

Parameters:

  | group | the name of the group to check for

Returns:
  true if the group exists, or false if it does not

QVariant property | ( | self, |
|  | QString | name
| ) |  |  |

Returns the property (variantized value) of the named item

usrWriteConfig | ( |  | self ) |

Hack used to force writing when no default exists in config file.